This endpoint returns access tokens, ID tokens, and refresh tokens depending on the request parameters. For password, client credentials, SAML 2.0 assertion, and refresh token flows, calling /token is the only step of the flow. For the authorization code flow, calling /token is the second step of the flow.
Note: The
/tokenendpoint requires client authentication. The method is configured per client app. See Client authentication methods.
Pass the client credentials concatenated with a : and base64-encoded as part of the Authorization header prefixed with Basic
Authorization: Basic {base64(<client_id>:<client_secret>)}Authorization: Basic MGpyYWJ5UVdtNEI5elZKUGJvdFk6NVc3WFVMQ0VzNEJKS25XVVh3aDhsZ21lWFJoY0djZFZpRnA4NHBXZQ==Based on the scopes requested. The scopes specified in a request are included in the access token in the response.
An access token
An opaque device secret. This is returned if the device_sso scope is granted.
The expiration time of the access token in seconds
An ID token. This is returned if the openid scope is granted.
An opaque refresh token. This is returned if the offline_access scope is granted.
The scopes contained in the access token
The token type in a /token response. The value is generally Bearer except for a few instances of token exchange.
Bearer